Bug 136481 - audio/exaile-devel - include recommended depend
Summary: audio/exaile-devel - include recommended depend
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-08 20:50 UTC by Joseph S. Atkinson
Modified: 2009-07-13 23:30 UTC (History)
0 users

See Also:


Attachments
exail-devel_bsddb.diff (1.06 KB, patch)
2009-07-08 20:50 UTC, Joseph S. Atkinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph S. Atkinson 2009-07-08 20:50:01 UTC

On most systems, the default Python bsddb module is Python's module. On FreeBSD, we build one based on the bsddb in base and make Python's a seperate port. Our default works with Exaile, but causes a bit of oddness, such as file paths inexplicably relocating. This oddness may cause further unseen consequences, so instead we will rely on databases/py-bsddb to keep in sync with expected behaviors.

If users decide that potentially broken behavior is good enough for them and they do not want this extra dependency, I have left the rope on the chandelier for them.

How-To-Repeat: 

After setting up Exaile with paths to the music directories, exaile will create the file:

~/.local/share/exail/music.db.db

This file should really have only one db extension, and this artifact is tied to some differenence in behavior between the the two flavors of bsddb modules.
Comment 1 Philip M. Gollucci freebsd_committer 2009-07-09 04:39:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 dfilter service freebsd_committer 2009-07-13 23:28:28 UTC
pgollucci    2009-07-13 22:28:17 UTC

  FreeBSD ports repository

  Modified files:
    audio/exaile-devel   Makefile 
  Log:
  On most systems, the default Python bsddb module is Python's module. On
  FreeBSD, we build one based on the bsddb in base and make Python's a
  seperate port. Our default works with Exaile, but causes a bit of
  oddness, such as file paths inexplicably relocating. This oddness may
  cause further unseen consequences, so instead we will rely on
  databases/py-bsddb to keep in sync with expected behaviors.
  
  If users decide that potentially broken behavior is good enough for them
  and they do not want this extra dependency, I have left the rope on
  the chandelier for them.
  
  ~/.local/share/exail/music.db.db
  
  This file should really have only one db extension, and this artifact
  is tied to some differenence in behavior between the the two flavors
  of bsddb modules.
  
  PR:             ports/136481
  Submitted by    "Joseph S. Atkinson" <jsa@wickedmachine.net> (maintainer)
  
  Revision  Changes    Path
  1.21      +7 -2      ports/audio/exaile-devel/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Philip M. Gollucci freebsd_committer 2009-07-13 23:28:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!